Package weka.core.pmml.jaxbbindings

# Class TimeSeriesModel

java.lang.Object
weka.core.pmml.jaxbbindings.TimeSeriesModel

public class TimeSeriesModel extends Object

Java class for TimeSeriesModel element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TimeSeriesModel">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelExplanation" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TimeSeries" maxOccurs="3" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}SpectralAnalysis" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ARIMA" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ExponentialSmoothing" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}SeasonalTrendDecomposition" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelVerification" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="bestFit" use="required" type="{http://www.dmg.org/PMML-4_1}TIMESERIES-ALGORITHM" />
             <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
             <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeSeriesModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithmName()`
  Gets the value of the algorithmName property.
  `TIMESERIESALGORITHM`
  `getBestFit()`
  Gets the value of the bestFit property.
  `List<Object>`
  `getContent()`
  Gets the rest of the content model.
  `MININGFUNCTION`
  `getFunctionName()`
  Gets the value of the functionName property.
  `String`
  `getModelName()`
  Gets the value of the modelName property.
  `boolean`
  `isIsScorable()`
  Gets the value of the isScorable property.
  `void`
  `setAlgorithmName(String value)`
  Sets the value of the algorithmName property.
  `void`
  `setBestFit(TIMESERIESALGORITHM value)`
  Sets the value of the bestFit property.
  `void`
  `setFunctionName(MININGFUNCTION value)`
  Sets the value of the functionName property.
  `void`
  `setIsScorable(Boolean value)`
  Sets the value of the isScorable property.
  `void`
  `setModelName(String value)`
  Sets the value of the modelName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeSeriesModel

    public TimeSeriesModel()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the rest of the content model.

    You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 1156 of file:/home/david/workspace/weka/pmml-4-1.xsd line 1144 of file:/home/david/workspace/weka/pmml-4-1.xsd

    To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

            getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `ModelExplanation` `TimeSeries` `ModelStats` `Output` `LocalTransformations` `ExponentialSmoothing` `JAXBElement``<``Object``>` `JAXBElement``<``Object``>` `JAXBElement``<``Object``>` `MiningSchema` `ModelVerification` `Extension`

  - ### getAlgorithmName

    public String getAlgorithmName()
    Gets the value of the algorithmName property.
    Returns:
      possible object is `String`

  - ### setAlgorithmName

    public void setAlgorithmName(String value)
    Sets the value of the algorithmName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBestFit

    public TIMESERIESALGORITHM getBestFit()
    Gets the value of the bestFit property.
    Returns:
      possible object is `TIMESERIESALGORITHM`

  - ### setBestFit

    public void setBestFit(TIMESERIESALGORITHM value)
    Sets the value of the bestFit property.
    Parameters:
      `value` - allowed object is `TIMESERIESALGORITHM`

  - ### getFunctionName

    public MININGFUNCTION getFunctionName()
    Gets the value of the functionName property.
    Returns:
      possible object is `MININGFUNCTION`

  - ### setFunctionName

    public void setFunctionName(MININGFUNCTION value)
    Sets the value of the functionName property.
    Parameters:
      `value` - allowed object is `MININGFUNCTION`

  - ### isIsScorable

    public boolean isIsScorable()
    Gets the value of the isScorable property.
    Returns:
      possible object is `Boolean`

  - ### setIsScorable

    public void setIsScorable(Boolean value)
    Sets the value of the isScorable property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getModelName

    public String getModelName()
    Gets the value of the modelName property.
    Returns:
      possible object is `String`

  - ### setModelName

    public void setModelName(String value)
    Sets the value of the modelName property.
    Parameters:
      `value` - allowed object is `String`